<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::TrackerPulseData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_tracker_pulse_data.html">TrackerPulseData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_tracker_pulse_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::TrackerPulseData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_tracker_pulse_data_8h_source.html">TrackerPulseData.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a8beeccd9853d2f7f25e1898c817b5d47"><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_data.html#a8beeccd9853d2f7f25e1898c817b5d47">cellID0</a></td></tr>
<tr class="memdesc:a8beeccd9853d2f7f25e1898c817b5d47"><td class="mdescLeft">&#160;</td><td class="mdescRight">The detector specific (geometrical) cell id.  <a href="#a8beeccd9853d2f7f25e1898c817b5d47">More...</a><br /></td></tr>
<tr class="separator:a8beeccd9853d2f7f25e1898c817b5d47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a614e9b5358d9079cfaa7b2f7f6937756"><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_data.html#a614e9b5358d9079cfaa7b2f7f6937756">cellID1</a></td></tr>
<tr class="memdesc:a614e9b5358d9079cfaa7b2f7f6937756"><td class="mdescLeft">&#160;</td><td class="mdescRight">The second detector specific (geometrical) cell id.  <a href="#a614e9b5358d9079cfaa7b2f7f6937756">More...</a><br /></td></tr>
<tr class="separator:a614e9b5358d9079cfaa7b2f7f6937756"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0625b3989eb897d16bc05c02dc9ba674"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_data.html#a0625b3989eb897d16bc05c02dc9ba674">quality</a></td></tr>
<tr class="memdesc:a0625b3989eb897d16bc05c02dc9ba674"><td class="mdescLeft">&#160;</td><td class="mdescRight">...  <a href="#a0625b3989eb897d16bc05c02dc9ba674">More...</a><br /></td></tr>
<tr class="separator:a0625b3989eb897d16bc05c02dc9ba674"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a607fd88f808b988ccc454cbb6c910feb"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_data.html#a607fd88f808b988ccc454cbb6c910feb">time</a></td></tr>
<tr class="memdesc:a607fd88f808b988ccc454cbb6c910feb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The time of the pulse.  <a href="#a607fd88f808b988ccc454cbb6c910feb">More...</a><br /></td></tr>
<tr class="separator:a607fd88f808b988ccc454cbb6c910feb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab93395de273f010183ce7ba355d84e4c"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_tracker_pulse_data.html#ab93395de273f010183ce7ba355d84e4c">charge</a></td></tr>
<tr class="memdesc:ab93395de273f010183ce7ba355d84e4c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The integrated charge of the pulse.  <a href="#ab93395de273f010183ce7ba355d84e4c">More...</a><br /></td></tr>
<tr class="separator:ab93395de273f010183ce7ba355d84e4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC tracker pulse </p><dl class="section author"><dt>Author</dt><dd>: F. Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_data_8h_source.html#l00014">14</a> of file <a class="el" href="_tracker_pulse_data_8h_source.html">TrackerPulseData.h</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a8beeccd9853d2f7f25e1898c817b5d47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8beeccd9853d2f7f25e1898c817b5d47">&#9670;&nbsp;</a></span>cellID0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long eic::TrackerPulseData::cellID0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_data_8h_source.html#l00016">16</a> of file <a class="el" href="_tracker_pulse_data_8h_source.html">TrackerPulseData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_const_8cc_source.html#l00051">eic::ConstTrackerPulse::cellID0()</a>, <a class="el" href="_tracker_pulse_8cc_source.html#l00053">eic::TrackerPulse::cellID0()</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00021">eic::ConstTrackerPulse::ConstTrackerPulse()</a>, and <a class="el" href="_tracker_pulse_8cc_source.html#l00021">eic::TrackerPulse::TrackerPulse()</a>.</p>

</div>
</div>
<a id="a614e9b5358d9079cfaa7b2f7f6937756"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a614e9b5358d9079cfaa7b2f7f6937756">&#9670;&nbsp;</a></span>cellID1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long eic::TrackerPulseData::cellID1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_data_8h_source.html#l00017">17</a> of file <a class="el" href="_tracker_pulse_data_8h_source.html">TrackerPulseData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_const_8cc_source.html#l00052">eic::ConstTrackerPulse::cellID1()</a>, <a class="el" href="_tracker_pulse_8cc_source.html#l00054">eic::TrackerPulse::cellID1()</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00021">eic::ConstTrackerPulse::ConstTrackerPulse()</a>, and <a class="el" href="_tracker_pulse_8cc_source.html#l00021">eic::TrackerPulse::TrackerPulse()</a>.</p>

</div>
</div>
<a id="ab93395de273f010183ce7ba355d84e4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab93395de273f010183ce7ba355d84e4c">&#9670;&nbsp;</a></span>charge</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::TrackerPulseData::charge</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The integrated charge of the pulse. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_data_8h_source.html#l00020">20</a> of file <a class="el" href="_tracker_pulse_data_8h_source.html">TrackerPulseData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_const_8cc_source.html#l00055">eic::ConstTrackerPulse::charge()</a>, <a class="el" href="_tracker_pulse_8cc_source.html#l00057">eic::TrackerPulse::charge()</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00021">eic::ConstTrackerPulse::ConstTrackerPulse()</a>, and <a class="el" href="_tracker_pulse_8cc_source.html#l00021">eic::TrackerPulse::TrackerPulse()</a>.</p>

</div>
</div>
<a id="a0625b3989eb897d16bc05c02dc9ba674"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0625b3989eb897d16bc05c02dc9ba674">&#9670;&nbsp;</a></span>quality</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int eic::TrackerPulseData::quality</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>... </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_data_8h_source.html#l00018">18</a> of file <a class="el" href="_tracker_pulse_data_8h_source.html">TrackerPulseData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_const_8cc_source.html#l00021">eic::ConstTrackerPulse::ConstTrackerPulse()</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00053">eic::ConstTrackerPulse::quality()</a>, <a class="el" href="_tracker_pulse_8cc_source.html#l00055">eic::TrackerPulse::quality()</a>, and <a class="el" href="_tracker_pulse_8cc_source.html#l00021">eic::TrackerPulse::TrackerPulse()</a>.</p>

</div>
</div>
<a id="a607fd88f808b988ccc454cbb6c910feb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a607fd88f808b988ccc454cbb6c910feb">&#9670;&nbsp;</a></span>time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::TrackerPulseData::time</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The time of the pulse. </p>

<p class="definition">Definition at line <a class="el" href="_tracker_pulse_data_8h_source.html#l00019">19</a> of file <a class="el" href="_tracker_pulse_data_8h_source.html">TrackerPulseData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_tracker_pulse_const_8cc_source.html#l00021">eic::ConstTrackerPulse::ConstTrackerPulse()</a>, <a class="el" href="_tracker_pulse_const_8cc_source.html#l00054">eic::ConstTrackerPulse::time()</a>, <a class="el" href="_tracker_pulse_8cc_source.html#l00056">eic::TrackerPulse::time()</a>, and <a class="el" href="_tracker_pulse_8cc_source.html#l00021">eic::TrackerPulse::TrackerPulse()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eicd/<a class="el" href="_tracker_pulse_data_8h_source.html">TrackerPulseData.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
